GET V1/Benchmarking.{ext}/VirtualSitesforSiteAttributes?virtualSiteId={virtualSiteId}&esStatus={esStatus}
This API used to get sites/virtual sites which are available for manage site attributes.
Mandatory Fields : virtualSiteId, esStatus.
Optional Fields : N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| virtualSiteId |
Virtual Site Id |
string |
Required |
| esStatus |
ESStatus |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Benchmarking.Entities.VirtualSitesForBenchmarking| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Benchmarking.Entities.VirtualSitesForBenchmarking |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "VirtualSitesForBenchmarking",
"response": {
"virtualSitesList": [
{
"siteId": "sample string 1",
"siteNumber": "sample string 2"
},
{
"siteId": "sample string 1",
"siteNumber": "sample string 2"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.